#!/bin/bash

set -e
cd ../;
python3 -m venv .env;
source .env/bin/activate;
pip install -r requirements.txt;
bootstrap_member_accounts=$(python3 -c "from vars import *;print(cdk_bootstrap_member_accounts)");

if [ "$bootstrap_member_accounts" == "True" ]; then
current_account=$(aws sts get-caller-identity --query Account --output text);
cdk_bootstrap_role=$(python3 -c "from vars import *;print(cdk_bootstrap_role)");
cdk bootstrap -a 'python3 cloudcustodian/member_account_roles_stack.py' \
    --trust $current_account \
    --context assume-role-credentials:writeIamRoleName=$cdk_bootstrap_role \
    --context assume-role-credentials:readIamRoleName=$cdk_bootstrap_role \
    --mode=ForWriting \
    --context bootstrap=true \
    --cloudformation-execution-policies arn:aws:iam::aws:policy/AdministratorAccess
fi;

cdk deploy --all -a 'python3 cloudcustodian/member_account_roles_stack.py' --require-approval never --no-version-reporting;