#!/usr/bin/env bash

set -o errexit
set -o pipefail
set -o nounset
set -o xtrace

pip3 install c7n c7n-org c7n-mailer

cat << EOF > mailer.yml
queue_url: $TRANSPORT_QUEUE_URL
role: $MAILER_ROLE_ARN
region: $MAILER_REGION
lambda_tags:
  owner: SecurityCustodian
EOF

cat mailer.yml

slack_template_path=$(find ~/ -type f -name "slack_default.j2" -printf "%h\n")

cp resources/slack_iam.j2 $slack_template_path/slack_iam.j2

c7n-mailer --config mailer.yml --update-lambda

sed -i -e "s|TransportQueueUrl|$TRANSPORT_QUEUE_URL|g" policies/*.yml
# sed -i -e "s|CustodianRoleArn|$POLICY_ROLE_ARN|g" policies/*.yml
sed -i -e "s|SlackWebHookUrl|$SLACK_WEBHOOK_URL|g" policies/*.yml
sed -i -e "s|Region|$MAILER_REGION|g" policies/*.yml

# custodian run -s out -r all policies/*.yml
for policy in $(ls policies/*.yml); do
    c7n-org run -r $MAILER_REGION -s output -c ./accounts.yml -u $policy
done
# c7n-org run -r $MAILER_REGION -s output -c ./accounts.yml -u policies/*.yml